#include "chdecl.h"
void CH_getformatters_fmthandlername(current, sched, cop)
#define ARGUMENTS 26
#include "chhead.h"
select: switch (SELECTOR) {
    case 0: goto c0;
    case 1: goto cb2;
    case 2: goto c3;
    case 3: goto c30;
    case 4: goto c33;
    case 5: goto cb34;
    case 6: goto c35;
    case 7: goto c45;
    case 8: goto c48;
    case 9: goto c118;
    case 10: goto c120;
    case 11: goto c124;
    case 12: goto c127;  }
c0:
/* block , 0 */
  if((ch_returncode = che_block(QUAL(0),sched)) != Normal)
     goto ch_raise_exception;
/* block , 1 */
  if((ch_returncode = che_block(QUAL(1),sched)) != Normal)
     goto ch_raise_exception;
  current->ip = 1;
cb2:
/* receive 3 0 */
  if ((ch_returncode = che_receive(DEF(3),DEF(0),sched)) != Normal)
     goto ch_raise_exception;
  return;
c3:
/* ord_case 4 3.4 */
  REF(4).value.ord_enum = REF(3)DOT(4).value.variant->info.variant_case;
  REF(4).tsdr = & dr_ord_enumeration;
/* equal . 4 =(3) , 14 */
  if ( REF(4).value.ord_enum == 3 ) goto c14;
/* equal . 4 =(2) , 17 */
  if ( REF(4).value.ord_enum == 2 ) goto c17;
/* equal . 4 =(1) , 33 */
  if ( REF(4).value.ord_enum == 1 ) goto c33;
/* equal . 4 =(0) , 48 */
  if ( REF(4).value.ord_enum == 0 ) goto c48;
/* branch , 118 */
   goto c118;
c14:
/* chs_lit 3.5 , "Others" */
  if( !chs_lit(DEF(3)DOT(5),"Others") ) goto ch_depletion;
/* branch , 120 */
   goto c120;
c17:
/* reveal 3.4 , 2 */
  if (2 != REF(3)DOT(4).value.variant->info.variant_case) goto ch_case_error;
/* block , 2 */
  if((ch_returncode = che_block(QUAL(2),sched)) != Normal)
     goto ch_raise_exception;
/* find 5 3.3.3 3.4.0 , 0 */
  if (findfunc(DEF(5),DEF(3)DOT(3)DOT(3),(
          arguments[0] = DEF(3)DOT(4)DOT(0),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* chs_lit 6 , "exit(" */
  if( !chs_lit(DEF(6),"exit(") ) goto ch_depletion;
/* concat 7 6 5.1 */
  if ((ch_returncode = che_concat(DEF(7),DEF(6),DEF(5)DOT(1)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 6 */
  (*(REF(6).tsdr)->finalize)(REF(6).value,F_DISCARD,sched);
  REF(6).tsdr = & dr_bottom;
/* chs_lit 8 , ")" */
  if( !chs_lit(DEF(8),")") ) goto ch_depletion;
/* concat 9 7 8 */
  if ((ch_returncode = che_concat(DEF(9),DEF(7),DEF(8),sched)) != Normal)
     goto ch_raise_exception;
/* discard 7 */
  (*(REF(7).tsdr)->finalize)(REF(7).value,F_DISCARD,sched);
  REF(7).tsdr = & dr_bottom;
/* discard 8 */
  (*(REF(8).tsdr)->finalize)(REF(8).value,F_DISCARD,sched);
  REF(8).tsdr = & dr_bottom;
/* move 3.5 9 */
  (*(REF(3)DOT(5).tsdr)->finalize)(REF(3)DOT(5).value,F_DISCARD,sched);
  REF(3)DOT(5) = REF(9);
  REF(9).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 120 */
   goto c120;
c30:
/* chs_lit 3.5 , "exit(*Unknown-Exit*)" */
  if( !chs_lit(DEF(3)DOT(5),"exit(*Unknown-Exit*)") ) goto ch_depletion;
/* branch , 120 */
   goto c120;
c33:
/* reveal 3.4 , 1 */
  if (1 != REF(3)DOT(4).value.variant->info.variant_case) goto ch_case_error;
  current->ip = 5;
cb34:
/* call 3.0.3 3.0 3.1 3.2 3.4.0.0 10 , 3 */
  if ((ch_returncode = che_call((
          arguments[0] = DEF(3)DOT(0)DOT(3),
          arguments[1] = DEF(3)DOT(0),
          arguments[2] = DEF(3)DOT(1),
          arguments[3] = DEF(3)DOT(2),
          arguments[4] = DEF(3)DOT(4)DOT(0)DOT(0),
          arguments[5] = DEF(10),
          arguments[5+1] = nil,& arguments[0]),QUAL(3),sched)) != Normal)
     goto ch_raise_exception;
  return;
c35:
/* move 3.5 10 */
  (*(REF(3)DOT(5).tsdr)->finalize)(REF(3)DOT(5).value,F_DISCARD,sched);
  REF(3)DOT(5) = REF(10);
  REF(10).tsdr = & dr_bottom;
/* block , 4 */
  if((ch_returncode = che_block(QUAL(4),sched)) != Normal)
     goto ch_raise_exception;
/* find 11 3.2 3.4.0.0.0 , 0 */
  if (findfunc(DEF(11),DEF(3)DOT(2),(
          arguments[0] = DEF(3)DOT(4)DOT(0)DOT(0)DOT(0),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* find 12 11.5 3.4.0.0.1 3.4.0.1 , 0 */
  if (findfunc(DEF(12),DEF(11)DOT(5),(
          arguments[0] = DEF(3)DOT(4)DOT(0)DOT(0)DOT(1),
          arguments[1] = DEF(3)DOT(4)DOT(0)DOT(1),& arguments[0]),sched,0
            ) == FAILURE) goto ch_notfound;
/* chs_lit 13 , "." */
  if( !chs_lit(DEF(13),".") ) goto ch_depletion;
/* concat 14 13 12.2 */
  if ((ch_returncode = che_concat(DEF(14),DEF(13),DEF(12)DOT(2)
    ,sched)) != Normal) goto ch_raise_exception;
/* discard 13 */
  (*(REF(13).tsdr)->finalize)(REF(13).value,F_DISCARD,sched);
  REF(13).tsdr = & dr_bottom;
/* merge 3.5 14 */
  if ((ch_returncode = mergefunc(DEF(3)DOT(5),DEF(14),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* endblock */
  che_endblock(sched);
/* branch , 120 */
   goto c120;
c45:
/* chs_lit 15 , ".*Unknown-User-Exception*" */
  if( !chs_lit(DEF(15),".*Unknown-User-Exception*") ) goto ch_depletion;
/* merge 3.5 15 */
  if ((ch_returncode = mergefunc(DEF(3)DOT(5),DEF(15),FALSE,0)) != Normal)
     goto ch_raise_exception;
/* branch , 120 */
   goto c120;
c48:
/* reveal 3.4 , 0 */
  if (0 != REF(3)DOT(4).value.variant->info.variant_case) goto ch_case_error;
/* equal . 3.4.0 =(12) , 77 */
  if ( REF(3)DOT(4)DOT(0).value.ord_enum == 12 ) goto c77;
/* equal . 3.4.0 =(11) , 80 */
  if ( REF(3)DOT(4)DOT(0).value.ord_enum == 11 ) goto c80;
/* equal . 3.4.0 =(10) , 83 */
  if ( REF(3)DOT(4)DOT(0).value.ord_enum == 10 ) goto c83;
/* equal . 3.4.0 =(9) , 86 */
  if ( REF(3)DOT(4)DOT(0).value.ord_enum == 9 ) goto c86;
/* equal . 3.4.0 =(8) , 89 */
  if ( REF(3)DOT(4)DOT(0).value.ord_enum == 8 ) goto c89;
/* equal . 3.4.0 =(7) , 92 */
  if ( REF(3)DOT(4)DOT(0).value.ord_enum == 7 ) goto c92;
/* equal . 3.4.0 =(6) , 95 */
  if ( REF(3)DOT(4)DOT(0).value.ord_enum == 6 ) goto c95;
/* equal . 3.4.0 =(5) , 98 */
  if ( REF(3)DOT(4)DOT(0).value.ord_enum == 5 ) goto c98;
/* equal . 3.4.0 =(4) , 101 */
  if ( REF(3)DOT(4)DOT(0).value.ord_enum == 4 ) goto c101;
/* equal . 3.4.0 =(3) , 104 */
  if ( REF(3)DOT(4)DOT(0).value.ord_enum == 3 ) goto c104;
/* equal . 3.4.0 =(2) , 107 */
  if ( REF(3)DOT(4)DOT(0).value.ord_enum == 2 ) goto c107;
/* equal . 3.4.0 =(1) , 110 */
  if ( REF(3)DOT(4)DOT(0).value.ord_enum == 1 ) goto c110;
/* equal . 3.4.0 =(0) , 113 */
  if ( REF(3)DOT(4)DOT(0).value.ord_enum == 0 ) goto c113;
/* branch , 116 */
   goto c116;
c77:
/* chs_lit 3.5 , "Uncopyable" */
  if( !chs_lit(DEF(3)DOT(5),"Uncopyable") ) goto ch_depletion;
/* branch , 120 */
   goto c120;
c80:
/* chs_lit 3.5 , "RangeError" */
  if( !chs_lit(DEF(3)DOT(5),"RangeError") ) goto ch_depletion;
/* branch , 120 */
   goto c120;
c83:
/* chs_lit 3.5 , "DefinitionError" */
  if( !chs_lit(DEF(3)DOT(5),"DefinitionError") ) goto ch_depletion;
/* branch , 120 */
   goto c120;
c86:
/* chs_lit 3.5 , "PolymorphMismatch" */
  if( !chs_lit(DEF(3)DOT(5),"PolymorphMismatch") ) goto ch_depletion;
/* branch , 120 */
   goto c120;
c89:
/* chs_lit 3.5 , "NotFound" */
  if( !chs_lit(DEF(3)DOT(5),"NotFound") ) goto ch_depletion;
/* branch , 120 */
   goto c120;
c92:
/* chs_lit 3.5 , "InterfaceMismatch" */
  if( !chs_lit(DEF(3)DOT(5),"InterfaceMismatch") ) goto ch_depletion;
/* branch , 120 */
   goto c120;
c95:
/* chs_lit 3.5 , "DuplicateKey" */
  if( !chs_lit(DEF(3)DOT(5),"DuplicateKey") ) goto ch_depletion;
/* branch , 120 */
   goto c120;
c98:
/* chs_lit 3.5 , "DivideByZero" */
  if( !chs_lit(DEF(3)DOT(5),"DivideByZero") ) goto ch_depletion;
/* branch , 120 */
   goto c120;
c101:
/* chs_lit 3.5 , "Disconnected" */
  if( !chs_lit(DEF(3)DOT(5),"Disconnected") ) goto ch_depletion;
/* branch , 120 */
   goto c120;
c104:
/* chs_lit 3.5 , "Depletion" */
  if( !chs_lit(DEF(3)DOT(5),"Depletion") ) goto ch_depletion;
/* branch , 120 */
   goto c120;
c107:
/* chs_lit 3.5 , "ConstraintFailure" */
  if( !chs_lit(DEF(3)DOT(5),"ConstraintFailure") ) goto ch_depletion;
/* branch , 120 */
   goto c120;
c110:
/* chs_lit 3.5 , "ConstraintError" */
  if( !chs_lit(DEF(3)DOT(5),"ConstraintError") ) goto ch_depletion;
/* branch , 120 */
   goto c120;
c113:
/* chs_lit 3.5 , "CaseError" */
  if( !chs_lit(DEF(3)DOT(5),"CaseError") ) goto ch_depletion;
/* branch , 120 */
   goto c120;
c116:
/* exit , 5 */
  ch_e = handler_type__exit; ch_val = QUAL(5); goto ch_exception;
c118:
/* exit , 5 */
  ch_e = handler_type__exit; ch_val = QUAL(5); goto ch_exception;
c120:
/* return 3 */
  if (ch_caller = do_return(REF(3).value)) {
    if (ch_caller->type < CProcess) ch_caller->ip++;
      sched->wakeup_proc(sched, ch_caller);}
  else rem_return(REF(3).value);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
/* branch , 124 */
   goto c124;
c124:
/* discard 3 */
  (*(REF(3).tsdr)->finalize)(REF(3).value,F_DISCARD,sched);
  REF(3).tsdr = & dr_bottom;
/* endblock */
  che_endblock(sched);
c127:
/* endprocess */
  che_endprocess(sched); return;
#include "chtail.h"
